Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029990
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] J. Demo datamajoralways2015-05-23 11:012015-06-05 01:33
ReporterRenateNieuwkoopView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision59cc695e1155
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR15Q1.3SCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029990: Finance role in F&B is missing access to crucial windows

DescriptionPlease give the F&B US Finance role access to:
window access:
- Order Invoice P&E
- Credit To Use
- APRM GL Item

thanks in advance
Steps To ReproduceGo to the window, tabs and fields screen. See that the F&B US Finance role does not have access to the above mentioned windows, which wasn't the case before.
Proposed SolutionAdd these windows to the F&B role
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0078031)
jorge-garcia (developer)
2015-06-03 18:00

Test Plan:

 As group admin role
  Go to Role window and select F&B US Finance role.
   Go to Window Access tab and check that this three fields have been inserted
     - Order Invoice P&E
     - Credit To Use
     - APRM GL Item

 As F&B US Finance role
   Go to Sales Invoice window and create one.
   Go to Lines tab and insert one row.
   Complete the invoice
   Click on Add Payment and check that the previous windows are shown.
(0078062)
hgbot (developer)
2015-06-04 12:55

Repository: erp/devel/pi
Changeset: 59cc695e115586b8de76e6a1e16d5bfc6fa134b8
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Jun 01 18:01:18 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/59cc695e115586b8de76e6a1e16d5bfc6fa134b8 [^]

Fixed issue 29990: Finance role in F&B is missing access to crucial windows

It's necessary to give access to the F&B US Finance role to these windows
* Order Invoice P&E
* Credit To Use
* APRM GL Item

Now this role has access to those windows.

---
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
---
(0078063)
hgbot (developer)
2015-06-04 12:55

Repository: erp/devel/pi
Changeset: 1bb9cfbc664437590a1d1c57bd7ef3e030bd4754
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu Jun 04 12:53:00 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1bb9cfbc664437590a1d1c57bd7ef3e030bd4754 [^]

Related to issue 29990: Code review improvements

Added the following 3 windows to F&B España, S.A - Finance role too:
* Order Invoice P&E
* Credit To Use
* APRM GL Item

---
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
---
(0078065)
vmromanos (developer)
2015-06-04 12:56

Code review + testing OK
(0078102)
hudsonbot (developer)
2015-06-05 01:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/aa05c3f56c97 [^]
Maturity status: Test
(0078103)
hudsonbot (developer)
2015-06-05 01:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/aa05c3f56c97 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-23 11:01 RenateNieuwkoop New Issue
2015-05-23 11:01 RenateNieuwkoop Assigned To => Triage Finance
2015-05-23 11:01 RenateNieuwkoop Modules => Core
2015-05-23 11:01 RenateNieuwkoop Triggers an Emergency Pack => No
2015-05-23 11:02 RenateNieuwkoop Summary Finance role in F&B is access to crucial windows => Finance role in F&B is missing access to crucial windows
2015-06-03 17:55 jorge-garcia Status new => scheduled
2015-06-03 17:55 jorge-garcia Assigned To Triage Finance => jorge-garcia
2015-06-03 18:00 jorge-garcia Note Added: 0078031
2015-06-04 12:55 hgbot Checkin
2015-06-04 12:55 hgbot Note Added: 0078062
2015-06-04 12:55 hgbot Status scheduled => resolved
2015-06-04 12:55 hgbot Resolution open => fixed
2015-06-04 12:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/59cc695e115586b8de76e6a1e16d5bfc6fa134b8 [^]
2015-06-04 12:55 hgbot Checkin
2015-06-04 12:55 hgbot Note Added: 0078063
2015-06-04 12:56 vmromanos Review Assigned To => vmromanos
2015-06-04 12:56 vmromanos Note Added: 0078065
2015-06-04 12:56 vmromanos Status resolved => closed
2015-06-05 01:33 hudsonbot Checkin
2015-06-05 01:33 hudsonbot Note Added: 0078102
2015-06-05 01:33 hudsonbot Checkin
2015-06-05 01:33 hudsonbot Note Added: 0078103


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker